> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List folders

> Lists folders with pagination.



## OpenAPI

````yaml /api-reference/openapi.json post /folder/list
openapi: 3.1.0
info:
  title: SuperU API
  description: >-
    Comprehensive API reference for SuperU voice agents, calls, tools, contacts,
    audiences, and knowledge bases.
  version: 1.0.0
servers:
  - url: https://voip-middlware.superu.ai
    description: Production
security:
  - superUApiKey: []
tags:
  - name: Calls
    description: Create and analyze calls.
  - name: Agents
    description: Create, list, import, update, and delete agents.
  - name: Agent Versions
    description: Manage versions for existing agents.
  - name: Phone Numbers
    description: Fetch phone numbers available in your account.
  - name: Call Logs
    description: Retrieve call history with filters.
  - name: Tools
    description: Create and manage callable tools.
  - name: Folders
    description: Organize agents into folders.
  - name: Contacts
    description: Create and list contacts.
  - name: Audiences
    description: Create and manage audiences and contacts.
  - name: Knowledge Base
    description: Upload and manage knowledge bases.
  - name: Campaigns
    description: Create and manage outbound campaigns with automated workflows.
paths:
  /folder/list:
    post:
      tags:
        - Folders
      summary: List folders
      description: Lists folders with pagination.
      operationId: listFolders
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FolderListRequest'
            example:
              page: 1
              per_page: 20
        description: Request body for List folders.
      responses:
        '200':
          description: Folder list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse'
              example:
                success: true
                folders:
                  - _id: 69f9a4393fd42c4dfc2aaaa9
                    folder_id: 25388237-72ba-46a9-b8b5-f0341939775c
                    user_id: user_32UrXxvrVxWSYp1dGLsPdElDtRu
                    name: Outbound Agents
                    description: Sales and support
                    agent_ids: []
                    created_at:
                      $date: '2026-05-05T08:03:05.855Z'
                    updated_at:
                      $date: '2026-05-05T08:03:05.855Z'
                    agent_count: 0
                  - _id: 698b090f0cc08f3e477484f6
                    folder_id: a3740204-726f-4547-b0f8-8831a5147207
                    user_id: user_32UrXxvrVxWSYp1dGLsPdElDtRu
                    name: Template agents
                    description: ''
                    agent_ids:
                      - fad523e2-2645-4bc0-87ad-2b1727b1a939
                      - f0a578ee-a48e-4731-93e1-bc7e3bf001c5
                      - 061ea565-3659-4ce6-936a-bc3ceac3099f
                      - 0fa77b60-25f9-4ac2-8b3f-6222dab19936
                      - 1baff16e-22fe-4091-b6ac-62356971a6e9
                      - 42f5f790-f0d8-4e6b-a55d-b68d727dd017
                      - 2afd255b-3166-415c-b823-9c21500dac0b
                      - d4afb99c-fb12-40bb-8cea-9d7bba7bf177
                      - 856178f3-fecc-41e4-9576-c02f343ba476
                    created_at:
                      $date: '2026-02-10T10:31:43.777Z'
                    updated_at:
                      $date: '2026-02-19T12:29:10.978Z'
                    agent_count: 9
                pagination:
                  total: 1
                  page: 1
                  per_page: 20
                  total_pages: 1
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '501':
          $ref: '#/components/responses/NotImplemented'
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request POST \\
              --url https://voip-middlware.superu.ai/folder/list \\
              --header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
              --data '{
              "page": 1,
              "per_page": 20
            }'
        - lang: python
          label: Python
          source: |-
            from superu import SuperU

            client = SuperU("YOUR_SUPERU_API_KEY")

            payload = {
                "page": 1,
                "per_page": 20
            }

            response = client.folders.list(**payload)
            print(response)
components:
  schemas:
    FolderListRequest:
      allOf:
        - type: object
          required:
            - page
            - per_page
          properties:
            page:
              type: integer
              minimum: 1
              example: 1
              description: Page value.
            per_page:
              type: integer
              minimum: 1
              maximum: 100
              example: 20
              description: Per page value.
      description: Folder List Request schema.
    GenericResponse:
      type: object
      properties:
        status:
          type: string
          description: Indicates if the request was successful.
          example: success
        message:
          type: string
          description: A descriptive message about the result of the request.
          example: Request completed successfully
        data:
          type: object
          additionalProperties: true
          description: The payload of the response, if any.
      additionalProperties: true
      description: A generic response schema for successful API calls.
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        status:
          type: string
          example: error
          description: Status value.
        message:
          type: string
          example: Invalid request payload
          description: Message value.
        error:
          type: string
          example: Bad Request
          description: Error value.
        code:
          type: string
          example: BAD_REQUEST
          description: Code value.
      additionalProperties: true
      description: Error Response schema.
  responses:
    BadRequest:
      description: Bad Request - invalid parameters or payload.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            status: error
            code: BAD_REQUEST
            message: Request validation failed.
    Unauthorized:
      description: Unauthorized - missing or invalid API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            status: error
            code: UNAUTHORIZED
            message: Invalid or missing superU-Api-Key.
    NotFound:
      description: Not Found - requested resource does not exist.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            status: error
            code: NOT_FOUND
            message: Resource not found.
    InternalServerError:
      description: Internal Server Error - unexpected backend error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            status: error
            code: INTERNAL_SERVER_ERROR
            message: An unexpected server error occurred.
    NotImplemented:
      description: >-
        Not Implemented - this action is not available in the current
        deployment.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            status: error
            code: NOT_IMPLEMENTED
            message: This endpoint is not implemented for your workspace.
  securitySchemes:
    superUApiKey:
      type: apiKey
      in: header
      name: superU-Api-Key
      description: Your SuperU API key.

````